* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body {
    max-width: 400px;
    margin: auto;
    background-image: linear-gradient(0deg,
            rgba(0, 0, 0, 0.5),
            rgba(0, 0, 0, 0.5)), url("../media/TRICOLOR.jpeg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.quiniela {
    margin: 20px auto;
    background-image: url("../11/4TOSI2025.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
    box-shadow: 5px 10px 20px 5px black;
    max-width: 400px;
    border-radius: 20px 20px;
    max-height: 400px;
    height: 100vw;
}


.controles {
    margin-top: 8%;
    width: 100%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.aux {
    background-color: rgba(165, 42, 42, 0);
    width: 100%;
    height: 11.9%;
    padding-top: 2.5%;
}

.aux h3 {
    width: 9%;
    padding-top: 5px;
    margin-left: 4px;
    background-color: rgba(255, 255, 255, 0.288);
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.288);
    box-shadow: 2px 2px 4px black;
    font-size: large;
}

.aux h3 ion-icon {
    display: table-row-group;
}

.quiniela span {
    width: 10%;
    display: inline-flex;
    -webkit-transition: background-color 0.3s ease;
    -moz-transition: background-color 0.3s ease;
    -o-transition: background-color 0.3s ease;
    transition: background-color 0.3s ease;
}

#_ {
    background-color: rgba(128, 255, 0, 0);
    width: 35%;
    height: 100%;
    display: inline-flex;
}

.partido {
    display: flex;
    height: 5.39%;
    width: 100%;
}

.partido .opcion-active {
    background-color: rgb(250, 30, 30);
}

.partido .opcion {
    background: none;
    background-color: none;
}

#text {
    font-weight: bold;
    text-align: center;
    color: #e0f9ff;
    text-shadow: 1px 2px 2px black;
    margin-top: 50px;
    border-radius: 0 0 14px 14px;
}

.text-lg {
    padding: 12px;
    font-size: x-large;
}

.text-sm {
    font-size: large;
    padding: 23px;
}

/*.boton{
    border:  none;
    border-radius: 6px;
    font-weight: bold;
    text-align: center;
    padding: 12px 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 1px 1px 6px black;
} */

/*#botonenviar{
    background:  -webkit-linear-gradient(0,  rgb(0, 175, 0) 20%, #4ac959 90%);
    background:  linear-gradient(0,  rgb(0, 175, 0) 20%, #4ac959 90%);
    font-size: 14px;  
    height: 46px;
    max-height: 46px;
}*/

#botonenviar {
    max-height: 46px;
    height: 46px;
    font-size: 14px;
    color: #fff;
    padding: 5px 10px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    outline: none;
    border-radius: 6px;
    border: none;
    background: #16ce3e;
    box-shadow: 0 5px #078f30;
    justify-content: center;
    align-items: center;
}

#botonenviar:hover {
    top: 2px;
}

#botonenviar:active {
    box-shadow: 0 0 #538f41;
    top: 5px;
}

/*#botonagregar{
    background: -webkit-linear-gradient(0,  rgb(0, 134, 175) 20%, rgb(15, 163, 201)); 
    background: linear-gradient(0,  rgb(0, 134, 175) 20%, rgb(15, 163, 201)); 
    font-size: 14px;
    height: 46px;
    max-height: 46px;
    align-items: center;
}*/

#botonagregar {
    max-height: 46px;
    height: 46px;
    align-items: center;
    font-size: 14px;
    color: #fff;
    padding: 5px 24px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    outline: none;
    border-radius: 5px;
    border: none;
    background: #2f62b2;
    box-shadow: 0 5px #392aa8;
}

#botonagregar:hover {
    top: 2px;
}

#botonagregar:active {
    box-shadow: 0 0 #6c7feb;
    top: 5px;
}

/*#botonborrar{
    background: -webkit-linear-gradient(0,  rgb(90, 0, 0) 20%, rgb(121, 0, 0) 90%);
    background:  linear-gradient(0,  rgb(90, 0, 0) 20%, rgb(121, 0, 0) 90%);
    color:  #cccccc;
    font-size: 12px;
    padding: 5px;
    height: 46px;
    max-height: 46px;
}*/

#botonborrar {
    max-height: 46px;
    height: 46px;
    align-items: center;
    font-size: 14px;
    color: #fff;
    padding: 5px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    outline: none;
    border-radius: 5px;
    border: none;
    background: #cf1c0b;
    box-shadow: 0 5px #8b2016;
}

#botonborrar:hover {
    top: 2px;
}

#botonborrar:active {
    box-shadow: 0 0 #ba2214;
    top: 5px;
}

#nombrebox {
    background: -webkit-linear-gradient(0, rgb(220, 220, 220) 20%, rgb(255, 255, 255) 90%);
    background: linear-gradient(0, rgb(220, 220, 220) 20%, rgb(255, 255, 255) 90%);
    border: none;
    border-radius: 6px;
    text-align: center;
    box-shadow: 1px 1px 6px black;
    height: 46px;
    max-height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f6f2f2;
    box-shadow: 0 5px #9e9c9c;
}

#nombretext {
    color: gray;
    font-size: 9px;
    text-align: center;
    position: absolute;
    z-index: 2;
    width: 100%;
    padding-right: 24px;
}

#nombre {
    background: transparent;
    border: none;
    text-align: center;
    font-size: 18px;
    width: inherit;
}

/*#random{
    background:  linear-gradient(0,  rgb(250, 250, 200) 20%, rgb(255, 255, 255) 90%);
    border-radius: 4px;
    font-size: small;
    box-shadow: 1px 1px 3px black;
    font-weight: bold;
    height: 20px;
    padding: 0;
    margin-bottom: 5px;
}*/
#random {
    max-height: 46px;
    height: 20px;
    align-items: center;
    font-size: 14px;
    color: #fff;
    padding: 5px 34px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    outline: none;
    border-radius: 5px;
    border: none;
    background: #c57c44;
    box-shadow: 0 5px #a06f0a;
}

#random:hover {
    top: 2px;
}

#random:active {
    box-shadow: 0 0 #e7a336;
    top: 5px;
}

/*#checkcombinaciones{
    padding: 0;
    height: 20px;
    border-radius: 4px;
    font-size: xx-small;
    box-shadow: 1px 1px 3px black;
    text-align: center;
    -webkit-transition:background-color 0.3s ease;
    -moz-transition:background-color 0.3s ease;
    -o-transition:background-color 0.3s ease;
    transition:background-color 0.3s ease;
}*/
#checkcombinaciones {
    max-height: 46px;
    height: 20px;
    align-items: center;
    font-size: 12px;
    color: #fff;
    margin-top: 6px;
    padding: 5px 10px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    outline: none;
    border-radius: 5px;
    border: none;
    background: #afa948;
    box-shadow: 0 5px #808735;
}

#checkcombinaciones:hover {
    top: 2px;
}

#checkcombinaciones:active {
    box-shadow: 0 0 #aae41a;
    top: 5px;
}



#listaContainer {
    margin: 15px 0;
    border: solid black 2px;
    background-color: rgba(255, 255, 255, 0.65);
    padding: 5px 0px;
    border-radius: 5px;
    background-position: top;
}

#lista {
    width: 100%;
    text-align: left;
    table-layout: fixed;
}

#lista td {
    border: none;
    border-right: 1px solid rgb(0, 0, 0, 0.2);
    text-align: center;
    color: black;
}

.deleteIcon {
    color: rgb(120, 0, 0);
    vertical-align: text-bottom;
}


span {
    float: left;
    display: contents;
    text-align: center;
    font-weight: bold;
}

h6 {
    display: inline;
}

#total {
    display: inline-block;
    float: right;
    margin-top: 0;
    background-color: rgb(200, 200, 200, 0.5);
    padding: 0 2px;
    border-radius: 3px;
}

#costo,
#numquinielas {
    color: rgba(11, 15, 0, 0.753);
    background-color: rgb(200, 200, 200, 0.5);
    display: inline;
    padding: 0 2px;
    border-radius: 3px;
}

.aux2 {
    height: 8.6%;
}

#bolsa {
    color: white;
    padding: 5px 0px;
    text-align: center;
    font-weight: bolder;
    margin: auto;
    text-shadow: 1px 1px 4px black;
}

#bolsatxt:before {
    content: 'Bolsa estimada: ';
    white-swhite;
    white-space: pre;
    text-shadow: 1px 1px 4px black;
}

#cantidad:before {
    content: '$400,000 pesos \A ¡Se reparte todo el acumulado!';
    color: yellow;
    white-space: pre;
}

#sub1:before {
    content: '';
    color: yellow white-space:pre;
}

#sub2:before {
    content: '';
    color: yellow white-space:pre;
}

#sub3:before {
    content: '';
    color: white;
    white-space: pre;
    vertical-align: sub;
}

#sub4:before {
    content: '';
    color: yellow;
    white-space: pre;
    vertical-align: sub;
}

#imgwsp {
    align-self: baseline;
}

#touchIcon {
    position: absolute;
    pointer-events: none;
    animation: mymove 1.5s;
    animation-iteration-count: infinite;
    font-size: 45px;
}

#touchIconDiv {
    transform: rotate(315deg);
    position: absolute;
    top: 170px;
    height: 0px;
    pointer-events: none;
}

#touchIcon2 {
    pointer-events: none;
    animation: mymove 1.5s;
    animation-iteration-count: infinite;
    font-size: 55px;
    color: #FFFF00DD;
}

#touchIconDiv2 {
    pointer-events: none;
    display: none;
    transform: rotate(45deg);
    position: absolute;
    margin: 22px 27px 0px 0px;
}

#touchIconName {
    pointer-events: none;
    animation: mymove 1.5s;
    animation-iteration-count: infinite;
    font-size: 35px;
}

#touchIconDivName {
    pointer-events: none;
    display: none;

    transform: rotate(45deg);
    position: absolute;
    width: 100%;
}

@keyframes mymove {
    0% {
        transform: scale(1.0);
        opacity: 0.7;
    }

    50% {
        transform: scale(1.2);
        opacity: 0.5;
    }

    100% {
        transform: scale(1.0);
        opacity: 0.7;
    }
}


@media (max-width: 365px) {
    .text-lg {
        font-size: min(6vw, 30px);
        padding: min(4vw, 18px);
    }

    .text-sm {
        font-size: min(5vw, 20px);
        padding: min(4vw, 10px);
    }

    .boton,
    #botonenviar,
    #botonborrar,
    #botonagregar,
    #nombrebox,
    #random {
        font-size: max(3.3vw, 8px);
    }

    #checkcombinaciones,
    #nombretext {
        font-size: max(3.3vw, 8px);
    }

    #nombre,
    #bolsa {
        font-size: min(6vw, 16px);
    }
}

@media (max-width: 300px) {

    .boton,
    #botonenviar,
    #botonborrar,
    #botonagregar,
    #nombrebox,
    #random {
        font-size: max(3.5vw, 8px);
        max-height: 30px;
    }

    #checkcombinaciones,
    #nombretext {
        font-size: max(3.0vw, 7px);
    }

    #imgwsp {
        height: 15px;
        align-self: center;
    }
}


img,
svg {
    vertical-align: bottom;
}





































